%{?nodejs_find_provides_and_requires}

%global packagename grunt-string-replace
%global enable_tests 1

Name:		nodejs-grunt-string-replace
Version:	1.2.1
Release:	1%{?dist}
Summary:	Replaces strings on files by using string or regex patterns

License:	MIT
URL:		https://github.com/eruizdechavez/grunt-string-replace
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(grunt-cli)
BuildRequires:	npm(grunt-contrib-clean)
BuildRequires:	npm(grunt-contrib-copy)
BuildRequires:	npm(grunt-contrib-jshint)
BuildRequires:	npm(grunt-contrib-nodeunit)
%endif

%description
Replaces strings on files by using string or regex patterns. Attempts to be a
String.prototype.replace adapter task for your grunt project.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js tasks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/grunt-string-replace %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/grunt-string-replace

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/grunt-string-replace \
    %{buildroot}%{_bindir}/grunt-string-replace

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt --verbose
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}
%{_bindir}/grunt-string-replace

%changelog
* Thu Jul 28 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
